Skip to content

Associate a customer with a chat

POST
/openapi/chat/customer/{chatId}/{customerId}
curl --request POST \
--url https://open-api.replyco.com/openapi/chat/customer/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'

Links a customer to a chat conversation. This is useful for identifying anonymous chat visitors or updating customer associations.

chatId
required
string format: uuid

Chat ID to associate customer with

customerId
required
string format: uuid

Customer ID to link to the chat

Customer was successfully associated with the chat

User is not authenticated or authorized

Chat or customer ID was not found